View Issue Details

IDProjectCategoryView StatusLast Update
0003967Slicer4Core: Renderingpublic2018-03-22 10:02
ReporterkikinisAssigned Toaashish24 
PrioritynormalSeveritycrashReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionSlicer 4.9.0Fixed in VersionSlicer 4.9.0 
Summary0003967: VTK OpenGL2 Backend: Slicer crash when switching from CPU to GPU rendering when running on vmware fusion
Description

From Ron:

I tried to run the windows version on a win 8 VM on the most up to date version of vmware fusion, which requires opengl 2.1 for availability of hardware acceleration. CPU volume rendering works (I did not try the compositing, but the basic stuff works. switching to gpu acceleration results in a crash. the VM was furnished with 1024MB of graphics memory

Tagsvtk-opengl2

Activities

jcfr

jcfr

2017-10-13 17:23

administrator   ~0015305

Revisit this after transitioning to VTK8 + OpenGL2

jcfr

jcfr

2018-03-22 01:54

administrator   ~0015598

Last edited: 2018-03-22 01:54

View 2 revisions

@kikinis: Could you try with the latest nightly and report back ?

Also on related matter, following r27080, the VTK version has been updated to have better check of support OpenGL version.

  • kitware/VTK@51e0dc9
    vtkOpenGLRenderWindow: Improve error message reported when OpenGL is not supported.

    Unable to find a valid OpenGL 3.2 or later implementation.
    Please update your video card driver to the latest version.
    If you are using Mesa please make sure you have version 11.2 or
    later and make sure your driver in Mesa supports OpenGL 3.2 such
    as llvmpipe or openswr. If you are on windows and using Microsoft
    remote desktop note that it only supports OpenGL 3.2 with nvidia
    quadro cards. You can use other remoting software such as nomachine
    to avoid this issue.

jcfr

jcfr

2018-03-22 10:02

administrator   ~0015609

From Ron: GpU volume renderer works on VMware fusion and win 10

Issue History

Date Modified Username Field Change
2015-02-25 11:52 jcfr New Issue
2015-02-25 11:52 jcfr Status new => assigned
2015-02-25 11:52 jcfr Assigned To => jcfr
2015-02-25 11:52 jcfr Reporter jcfr => kikinis
2015-02-25 11:52 jcfr Assigned To jcfr => aashish24
2015-02-25 11:52 jcfr Target Version => Slicer 4.5.0-1
2015-02-25 11:53 jcfr Summary VTKOpenGL2: Slicer crash when switching to CPG rendering when running on vmware fusion => VTKOpenGL2: Slicer crash when switching to CPU rendering when running on vmware fusion
2015-02-25 11:54 jcfr Severity minor => crash
2015-06-01 12:39 jcfr Summary VTKOpenGL2: Slicer crash when switching to CPU rendering when running on vmware fusion => VTKOpenGL2: Slicer crash when switching from CPU to GPU rendering when running on vmware fusion
2015-11-02 12:01 jcfr Target Version Slicer 4.5.0-1 => Slicer 4.6.0
2016-10-12 14:33 jcfr Target Version Slicer 4.6.0 => Slicer 4.7.0
2017-09-26 10:37 lassoan Target Version Slicer 4.7.0 => Slicer 4.9.0
2017-10-13 17:23 jcfr Note Added: 0015305
2018-03-02 16:05 jcfr Tag Attached: vtk-opengl2
2018-03-03 00:57 jcfr Summary VTKOpenGL2: Slicer crash when switching from CPU to GPU rendering when running on vmware fusion => VTK OpenGL2 Backend: Slicer crash when switching from CPU to GPU rendering when running on vmware fusion
2018-03-22 01:54 jcfr Note Added: 0015598
2018-03-22 01:54 jcfr Status assigned => feedback
2018-03-22 01:54 jcfr Note Edited: 0015598 View Revisions
2018-03-22 10:02 jcfr Status feedback => resolved
2018-03-22 10:02 jcfr Resolution open => fixed
2018-03-22 10:02 jcfr Fixed in Version => Slicer 4.9.0
2018-03-22 10:02 jcfr Note Added: 0015609